use chrono::{DateTime, Timelike, Utc};

pub fn time(h: usize, m: usize, s: usize, tag_end: &str) -> String {
    format!("{:0>2}:{:0>2}:{:0>2}{}", h, m, s, tag_end)
}
pub fn hms(t: DateTime<Utc>) -> (usize, usize, usize) {
    (t.hour() as usize, t.minute() as usize, t.second() as usize)
}
pub fn zulu(t: DateTime<Utc>) -> String {
    let t2 = hms(t);
    time(t2.0, t2.1, t2.2, "Z")
}